nl.tudelft.simulation.dsol.tutorial.section44

## Class Ball

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section44.Ball

All Implemented Interfaces:
  Locatable

Direct Known Subclasses:
  ContinuousBall, DiscreteBall

    public abstract class Ball
    extends Object
    implements Locatable

A Ball
copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.0 Mar 3, 2004
Author:
  Peter Jacobs

### Field Summary

Fields
`protected DirectedPoint` `destination` the destination.
`protected DirectedPoint` `origin` the origin.
`static double` `RADIUS` the radius of the ball.
`protected double` `rotZ` the rotation.

### Constructor Summary

Constructors
Constructor and Description
`Ball()` constructs a new Ball.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.media.j3d.Bounds` `getBounds()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.dsol.animation.Locatable

`getLocation`

### Field Detail

#### RADIUS

    public static final double RADIUS

the radius of the ball.

See Also:
  Constant Field Values

#### origin

    protected DirectedPoint origin

the origin.

#### destination

    protected DirectedPoint destination

the destination.

#### rotZ

    protected double rotZ

the rotation.

### Constructor Detail

#### Ball

    public Ball()

constructs a new Ball.

### Method Detail

#### getBounds

    public javax.media.j3d.Bounds getBounds()

Specified by:
  `getBounds` in interface `Locatable`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`